path: /build/build/speedtest-cli-net-analyzer-2.1.3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge net-analyzer/speedtest-cli -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps net-analyzer/speedtest-cli
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/speedtest-cli && luet-portage --dir
    /pkgdir/speedtest-cli net-analyzer/speedtest-cli && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:acda5f26c03ee3ee3f71503b52bc63f40d2c9521b211abdfcace627afc84b222
  package:
    name: speedtest-cli
    version: 2.1.3
    category: net-analyzer
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Command line interface for testing internet bandwidth using speedtest.net
    uri:
    - https://github.com/sivel/speedtest-cli
    license: Apache-2.0
    buildtimestamp: 2023-10-25 22:04:16.044103421 +0000 UTC m=+83.118192098
    labels:
      BDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      IUSE: python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
        python_targets_python3_10
      RDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      emerge.packages: net-analyzer/speedtest-cli
      kit: python-modules-kit
      original.package.name: net-analyzer/speedtest-cli
      original.package.slot: "0"
      original.package.version: 2.1.3
    treedir: /build/packages
  package_dir: /pkgdir/speedtest-cli
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: eccbef2dc6de8fc9798c8cf219ea804de4b589dd11a9f1a219a5773575f04d91
compressiontype: zstd
files:
- usr/bin/speedtest
- usr/bin/speedtest-cli
- usr/lib/python-exec/python3.9/speedtest
- usr/lib/python-exec/python3.9/speedtest-cli
- usr/lib/python3.9/site-packages/__pycache__/speedtest.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/__pycache__/speedtest.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/__pycache__/speedtest.cpython-39.pyc
- usr/lib/python3.9/site-packages/speedtest.py
- usr/lib/python3.9/site-packages/speedtest_cli-2.1.3-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/speedtest_cli-2.1.3-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/speedtest_cli-2.1.3-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/speedtest_cli-2.1.3-py3.9.egg-info/entry_points.txt
- usr/lib/python3.9/site-packages/speedtest_cli-2.1.3-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/speedtest_cli-2.1.3-py3.9.egg-info/top_level.txt
- usr/share/doc/speedtest-cli-2.1.3/README.rst.bz2
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/BDEPEND
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/BUILD_TIME
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/CATEGORY
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/CBUILD
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/CFLAGS
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/CHOST
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/CONTENTS
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/COUNTER
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/CXXFLAGS
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/DEFINED_PHASES
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/DESCRIPTION
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/EAPI
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/FEATURES
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/HOMEPAGE
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/INHERITED
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/IUSE
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/IUSE_EFFECTIVE
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/KEYWORDS
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/LDFLAGS
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/LICENSE
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/PF
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/RDEPEND
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/SIZE
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/SLOT
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/USE
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/environment.bz2
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/repository
- var/db/pkg/net-analyzer/speedtest-cli-2.1.3/speedtest-cli-2.1.3.ebuild
package_cacheimage: ""
runtime:
  name: speedtest-cli
  version: 2.1.3
  category: net-analyzer
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: setuptools
    version: '>=0'
    category: dev-python
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Command line interface for testing internet bandwidth using speedtest.net
  uri:
  - https://github.com/sivel/speedtest-cli
  license: Apache-2.0
  labels:
    BDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
    IUSE: python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
      python_targets_python3_10
    RDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
    emerge.packages: net-analyzer/speedtest-cli
    kit: python-modules-kit
    original.package.name: net-analyzer/speedtest-cli
    original.package.slot: "0"
    original.package.version: 2.1.3
